## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global git_commit c216787f5e355478733a05fa5f0fce93fa9a7126

Summary:	Pythonic Smart Contract Language for the EVM
Name:		vyper
Version:	0.4.2
Release:	%autorelease
BuildArch:	noarch
License:	Apache-2.0
URL:		https://vyperlang.org
Source0:	%{pypi_source %{name}}
Patch:		vyper-0001-Use-Cryptodomex.patch
Patch:		vyper-0002-Ease-version-requirements.patch
Patch:		vyper-0003-Remove-unnecessary-shebang.patch
Patch:		vyper-0004-Relax-lark-dependency.patch
BuildRequires:	git
BuildRequires:	python3-cached_property
BuildRequires:	python3-eth-abi
BuildRequires:	python3-eth-keys
BuildRequires:	python3-eth-stdlib
BuildRequires:	python3-hypothesis
BuildRequires:	python3-pytest
BuildRequires:	python3-rlp
BuildSystem:	pyproject
BuildOption(install): -l %{name}

%description
%{summary}.

%prep -a
echo %{sub %git_commit 0 7} > ./vyper/vyper_git_commithash.txt

%install -a
rm -f %{buildroot}/usr/vyper_git_commithash.txt

%check -a
# FIXME requires https://github.com/ethereum/py-evm
# FIXME requires https://github.com/paradigmxyz/pyrevm
#%%pytest

%files -f %{pyproject_files}
%doc README.md SECURITY.md
%{_bindir}/fang
%{_bindir}/venom
%{_bindir}/vyper
%{_bindir}/vyper-json

%changelog
## START: Generated by rpmautospec
* Sun Jun 01 2025 Peter Lemenkov <lemenkov@gmail.com> - 0.4.2-1
- Vyper ver. 0.4.2

* Fri May 16 2025 Peter Lemenkov <lemenkov@gmail.com> - 0.4.1-4
- Address two issues

* Thu Apr 24 2025 Romain Geissler <romain.geissler@amadeus.com> - 0.4.1-3
- Relax asttokens version dependency.

* Mon Mar 31 2025 Peter Lemenkov <lemenkov@gmail.com> - 0.4.1-2
- F41+: Use the provisional declarative buildsystem

* Mon Mar 03 2025 Peter Lemenkov <lemenkov@gmail.com> - 0.4.1-1
- Vyper ver. 0.4.1

* Thu Feb 27 2025 Peter Lemenkov <lemenkov@gmail.com> - 0.4.0-5
- Fix for one more issue

* Thu Feb 27 2025 Peter Lemenkov <lemenkov@gmail.com> - 0.4.0-4
- Fix few issues

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Thu Aug 08 2024 Peter Lemenkov <lemenkov@gmail.com> - 0.4.0-2
- Relax lark requirement

* Thu Aug 08 2024 Peter Lemenkov <lemenkov@gmail.com> - 0.4.0-1
- Initial commit
## END: Generated by rpmautospec
